
/* $Id: sln.hpp 233 2011-06-02 20:56:44Z sausage $
 * EOSERV is released under the zlib license.
 * See LICENSE.txt for more info.
 */

#ifndef SLN_HPP_INCLUDED
#define SLN_HPP_INCLUDED

#include "fwd/sln.hpp"

#include "fwd/eoserver.hpp"

/**
 * Manages checking in with the SLN server regularly
 */
class SLN
{
	private:
		EOServer *server;

		void RequestTick();
		static void *RequestThread(void *void_sln);
		static void TimedRequest(void *void_sln);

	public:
		SLN(EOServer *server);
		void Request();
};

#endif //SLN_HPP_INCLUDED
